# Uses of Interface
net.sf.statcvs.pages.NavigationNode

Packages that use NavigationNode
Package
Description
net.sf.statcvs.output
net.sf.statcvs.pages

## Uses of NavigationNode in net.sf.statcvs.output

Methods in net.sf.statcvs.output that return NavigationNode
Modifier and Type
Method
Description
`NavigationNode`
ChurnPageMaker.`toFile()`
`NavigationNode`
RepoMapPageMaker.`toFile()`

## Uses of NavigationNode in net.sf.statcvs.pages

Classes in net.sf.statcvs.pages that implement NavigationNode
Modifier and Type
Class
Description
`class`
`Page`
`class`
`PageGroup`
Methods in net.sf.statcvs.pages that return NavigationNode
Modifier and Type
Method
Description
`NavigationNode`
AllDevelopersPageMaker.`toFile()`
`NavigationNode`
CloudCommitPageMaker.`toFile()`
`NavigationNode`
CommitLogPageMaker.`toFile()`
`NavigationNode`
DirectorySizesPageMaker.`toFile()`
`NavigationNode`
FileSizesPageMaker.`toFile()`
`NavigationNode`
LOCPageMaker.`toFile()`
`NavigationNode`
ModulesPageMaker.`toFile()`
Methods in net.sf.statcvs.pages with parameters of type NavigationNode
Modifier and Type
Method
Description
`void`
PageGroup.`add(NavigationNode page)`
`void`
Page.`addChild(NavigationNode child)`
`void`
NavigationNode.`setParent(NavigationNode parent)`
Sets the page's parent.
`void`
Page.`setParent(NavigationNode parent)`
`void`
PageGroup.`setParent(NavigationNode parentPage)`